Nagvis cant start


#1

Hello

i just want to use nagvis in my nagios server but im failed during installation becaus of the reauirements

please check my error log below and i hope somebody cant teach me how to fix this problem

±-----------------------------------------------------------------------------+
| OS : Ubuntu 8.10 |
| Perl: 5.010000 |
| |
±-- Checking for which -------------------------------------------------------+
±-- Checking for packet manager ----------------------------------------------+
| Using packet manager /usr/bin/dpkg found |
| |
±-- Checking paths -----------------------------------------------------------+
| Please enter the path to the nagios base directory [/usr/local/nagios]:
| nagios path /usr/local/nagios found |
| Please enter the path to NagVis base [/usr/local/nagios/share/nagvis]:
| |
±-- Checking prerequisites ---------------------------------------------------+
| Nagios Core 3.2.0 found |
| Checking Backends: |
| Do you want to use backend ndo2db [n]: yes
| Do you want to use backend ndo2fs [n]: yes
| Do you want to use backend merlin [n]: yes
| NDO Module ndo2db (ndo2db) MISSING |
| Checking perl module JSON::XS (ndo2fs) found |
| *** Sorry, no checks yet for merlin |
| PHP 5.3 found |
| Module: gd 5.2 found |
| Module: mysql 5.2 found |
| Module: mbstring compiled_in found |
| Module: gettext MISSING |
| Module: session compiled_in found |
| Module: xml compiled_in found |
| Apache mod_php found |
| Graphviz 2.18 found |
| Graphviz Module dot 2.18 found |
| Graphviz Module neato 2.18 found |
| Graphviz Module twopi 2.18 found |
| Graphviz Module circo 2.18 found |
| Graphviz Module fdp 2.18 found |
| |
±-- Errors found during check of prerequisites. Aborting…
root@monitoring-desktop:/usr/local/nagios/share/nagvis#

thanks


#2

It’s written there…